# Broadcasts a raw transaction or transaction group to the network.

POST

/v2/transactions

## Authorizations

- **[api_key](https://dev.algorand.co/reference/rest-api/algod/#api_key)**

## Parameters

### Query Parameters

**skip-pq-address-check**

boolean

Skip post-quantum address checks, including the check that rejects TEAL v13 or later LogicSig escrow addresses whose program hash is an Edwards25519 curve point. This should only be used if you understand the risks and know what you are doing.

## Request Body required

The byte encoded signed transaction to broadcast to network

Select media type application/x-binary

string format: binary

## Responses

### 200

Transaction ID of the submission.

Select media type application/json

object

**txId**

required

Encoding of the transaction hash.

string

### 400

Bad Request - Malformed Algorand transaction

Select media type application/json

An error response with optional data field.

object

**data**

object

**message**

required

string

### 401

Invalid API Token

Select media type application/json

An error response with optional data field.

object

**data**

object

**message**

required

string

### 500

Internal Error

Select media type application/json

An error response with optional data field.

object

**data**

object

**message**

required

string

### 503

Service Temporarily Unavailable

Select media type application/json

An error response with optional data field.

object

**data**

object

**message**

required

string

### default

Unknown Error
